package com.artfess.cqlt.manager;

import com.artfess.cqlt.model.QfFinanceLiquidityM;
import com.artfess.base.manager.BaseManager;
import com.artfess.poi.util.HeaderNode;

import java.util.List;

/**
 * 资金--周资金计划填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-02
 */
public interface QfFinanceLiquidityMManager extends BaseManager<QfFinanceLiquidityM> {

    boolean insertInfo(QfFinanceLiquidityM t);

    boolean updateInfo(QfFinanceLiquidityM t);

    boolean updateStatus(QfFinanceLiquidityM t);

    boolean importExcel(List<HeaderNode> list, String mainId);
}
